#!/bin/sh
if [ $# != 1  ] ; then
  echo "需要1个参数"
  echo "stable: 同步代码到 stable 服务器上，作为正式服使用"
  echo "alpha: 同步代码到 alpha 服务器上，作为测试服供服务开发使用"
  echo "dev: 同步代码到 dev 服务器上，作为测试服供服务开发使用"
  echo "monitor: 同步代码到 monitor 服务器上，用做监控和压力测试"
  echo "distribute: 同步代码到 distribute 服务器上，用做监控和压力测试"
  echo "sq1: 同步代码到 sq1 服务器上，用做 37 功能测试服 game-server 部署"
  exit 1;
fi

port=22
env=${1}

if [ ${1} == 'stable' ] ; then
  destUrl="root@zyz:/root/zyz/"
elif [ ${1} == 'alpha' ] ; then
  destUrl="root@zyzalpha:/root/zyz/"
elif [ ${1} == 'dev' ] ; then
  destUrl="root@zyzdev:/root/zyz/"
elif [ ${1} == 'isbn' ] ; then
  destUrl="root@zyzisbn:/root/zyz/"
elif [ ${1} == 'monitor' ] ; then
  destUrl="root@zyzmon:/root/zyz/"
elif [ ${1} == 'distribute' ] ; then
  destUrl="root@zyzdistribute:/root/zyz/"
elif [ ${1} == 'sq1' ] ; then
  destUrl="root@sq1:/root/zyz/"
  port=3737
elif [ ${1} == 'sq2' ] ; then
  destUrl="root@sq2:/root/zyz/"
  port=3737
  env='sq1'
elif [ ${1} == 'sq3' ] ; then
  destUrl="root@sq3:/root/zyz/"
  port=3737
  env='sq1'
else
  echo "需要一个参数指明服务器"
  exit 1;
fi

node ./config.js ${env}

rsync -av --include '.babelrc' --include '.eslintrc.js' --exclude-from='exclude-file.txt' --progress --inplace --no-owner --no-group --rsh='ssh -p'${port} . ${destUrl}
git checkout ./game-server/config.json
git checkout ./gm-server/config/env
git checkout ./web-server/config/env
